%global app_root %{_datadir}/%{name}
%global gem_name hub

# https://fedoraproject.org/wiki/Packaging:SourceURL#Github
# For a number of reasons (immutability, availability, uniqueness), you must
# use the full commit revision hash when referring to the sources.
%global commit e807a3891b13a45d52447b63ca4e54c25a78dc13
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        A command-line wrapper for git with github shortcuts
Name:           hub
Version:        1.12.1
Release:        %mkrel 5
Group:          Development/Tools
License:        MIT
URL:            http://hub.github.com/

# https://fedoraproject.org/wiki/Packaging:SourceURL#Github
# Keep in mind that github tarballs are generated on-demand, so their
# modification dates will vary and cause checksum tests to fail. Reviewers will
# need to use diff -r to verify the tarballs. 
Source0:        https://github.com/github/hub/archive/%{commit}/hub-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  ruby-devel
BuildRequires:  ruby-RubyGems
BuildRequires:  rubygem(rspec)

## For the test suite.
#BuildRequires:  rubygem-minitest
#BuildRequires:  rubygem-webmock
#BuildRequires:  rubygem-bundler
#BuildRequires:  rubygem-rake>=10.1.1
#BuildRequires:  rubygem-cucumber
#BuildRequires:  tmux
#BuildRequires:  zsh

Requires:       ruby(rubygems)
Requires:       ruby(release)

%description
hub is a command line tool that wraps `git` in order to extend it with extra
features and commands that make working with GitHub easier.

    $ hub clone rtomayko/tilt

    # expands to:
    $ git clone git://github.com/rtomayko/tilt.git

%package doc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name} generated by rdoc.

%prep
%setup -qn %{name}-%{commit}

%build
gem build %{name}.gemspec

%install
%gem_install

install -d -m 755 %{buildroot}%{_mandir}/man1/
cp -p man/hub.1* %{buildroot}%{_mandir}/man1/

# Tests are commented out for now since they require rubygem-rake>=10.1.1 which
# isn't available in rawhide yet.
#%%check
#./script/test

%files
%doc LICENSE README.md CONTRIBUTING.md
%{_bindir}/hub
%{_mandir}/man1/hub.*
%{gem_spec}
%{gem_instdir}
%exclude %{gem_cache}

%files doc
%{gem_docdir}



%changelog
* Thu Nov 03 2016 pterjan <pterjan> 1.12.1-5.mga6
+ Revision: 1065095
- Do not use gem_build, it works only if packaging from a .gem

* Tue Feb 02 2016 umeabot <umeabot> 1.12.1-4.mga6
+ Revision: 932255
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12.1-3.mga5
+ Revision: 747558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.1-2.mga5
+ Revision: 680203
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 juancho <juancho> 1.12.1-1.mga5
+ Revision: 638244
- imported package hub


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Ralph Bean <rbean@redhat.com> - 1.12.1-1
- Latest upstream.

* Thu May 22 2014 Ralph Bean <rbean@redhat.com> - 1.12.0-4
- Add -doc subpackage with rdoc product.
- Add check section, but left it commented out due to dep issues.
- Remove spurious man files.
- Remove weirdly nested docs from rdoc.

* Wed Apr 02 2014 Ralph Bean <rbean@redhat.com> - 1.12.0-3
- Update Source0 URL to use the github guidelines.
- Replace weird %%prep %%setup stuff with something more familiar.

* Wed Apr 02 2014 Ralph Bean <rbean@redhat.com> - 1.12.0-2
- Remove version from the doc directory.
- Replace install macro with just "install".

* Mon Mar 31 2014 Ralph Bean <rbean@redhat.com> - 1.12.0-1
- Initial packaging for Fedora
